Package org.eclipse.jdt.launching.sourcelookup.advanced

# Class AdvancedSourceLookupParticipant

java.lang.Object
org.eclipse.jdt.launching.sourcelookup.advanced.AdvancedSourceLookupParticipant

All Implemented Interfaces:
  `ISourceLookupParticipant`

public class AdvancedSourceLookupParticipant extends Object implements ISourceLookupParticipant

Since:
  3.10

## Constructor Summary

Constructors
Constructor
Description
`AdvancedSourceLookupParticipant()`
`AdvancedSourceLookupParticipant(org.eclipse.jdt.internal.launching.sourcelookup.advanced.IJDIHelpers jdi)`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`protected void`
`disposeContainers()`
`Object[]`
`findSourceElements(Object element)`
`ISourceContainer`
`getSourceContainer(Object element, boolean refresh, IProgressMonitor monitor)`
`protected Collection<ISourceContainerResolver>`
`getSourceContainerResolvers()`
`static AdvancedSourceLookupParticipant`
`getSourceLookup(Object element)`
`String`
`getSourceName(Object object)`
`void`
`init(ISourceLookupDirector director)`
`void`
`sourceContainersChanged(ISourceLookupDirector director)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AdvancedSourceLookupParticipant

public AdvancedSourceLookupParticipant()

### AdvancedSourceLookupParticipant

public AdvancedSourceLookupParticipant(org.eclipse.jdt.internal.launching.sourcelookup.advanced.IJDIHelpers jdi)

Restriction:
  this constructor is visible for test purposes only

## Method Details

### init

public void init(ISourceLookupDirector director)

Specified by:
  `init` in interface `ISourceLookupParticipant`

### findSourceElements

public Object[] findSourceElements(Object element) throws CoreException

Specified by:
  `findSourceElements` in interface `ISourceLookupParticipant`
Throws:
  `CoreException`

### getSourceContainer

public ISourceContainer getSourceContainer(Object element, boolean refresh, IProgressMonitor monitor) throws CoreException

Throws:
  `CoreException`

### getSourceContainerResolvers

protected Collection<ISourceContainerResolver> getSourceContainerResolvers()

### getSourceName

public String getSourceName(Object object) throws CoreException

Specified by:
  `getSourceName` in interface `ISourceLookupParticipant`
Throws:
  `CoreException`

### dispose

public void dispose()

Specified by:
  `dispose` in interface `ISourceLookupParticipant`

### sourceContainersChanged

public void sourceContainersChanged(ISourceLookupDirector director)

Specified by:
  `sourceContainersChanged` in interface `ISourceLookupParticipant`

### disposeContainers

protected void disposeContainers()

### getSourceLookup

public static AdvancedSourceLookupParticipant getSourceLookup(Object element)